# OS_NS_sys_msg.h File Reference

`#include "ace/config-all.h"`
`#include "ace/os_include/sys/os_msg.h"`
`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_sys_msg.inl"`

Include dependency graph for OS_NS_sys_msg.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | ACE_OS

## A set of wrappers for System V message queues.

ACE_NAMESPACE_INLINE_FUNCTION int | msgctl (int msqid, int cmd, struct msqid_ds *)
ACE_NAMESPACE_INLINE_FUNCTION int | msgget (key_t key, int msgflg)
ACE_NAMESPACE_INLINE_FUNCTION ssize_t | msgrcv (int int_id, void *buf, size_t len, long type, int flags)
ACE_NAMESPACE_INLINE_FUNCTION int | msgsnd (int int_id, const void *buf, size_t len, int flags)

## Defines

#define | ACE_EXPORT_MACRO ACE_Export
#define | ACE_INLINE inline

## Detailed Description

Id
  OS_NS_sys_msg.h,v 1.5 2005/11/24 09:48:54 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

  Jesper S. M|ller<stophph@diku.dk>

  and a cast of thousands...

Originally in OS.h.

## Define Documentation

#define ACE_EXPORT_MACRO ACE_Export

#define ACE_INLINE inline

## Function Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE int ACE_OS::msgctl | ( | int | msqid,
|  | int | cmd,
|  | struct msqid_ds * |
| ) |

ACE_INLINE int ACE_OS::msgget | ( | key_t | key,
|  | int | msgflg
| ) |

ACE_INLINE ssize_t ACE_OS::msgrcv | ( | int | int_id,
|  | void * | buf,
|  | size_t | len,
|  | long | type,
|  | int | flags
| ) |

ACE_INLINE int ACE_OS::msgsnd | ( | int | int_id,
|  | const void * | buf,
|  | size_t | len,
|  | int | flags
| ) |